libshevek

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions
shevek::telnet Class Reference

Input and output filters for shevek::socket to make them telnet sockets. More...

`#include <telnet.hh>`

Inheritance diagram for shevek::telnet:

List of all members.

## Classes

struct | option_t

## Public Member Functions

std::string & | you_there ()
| Return the string that is used in reply to ARE_YOU_THERE requests.

## Static Public Member Functions

static Glib::RefPtr< telnet > | create (Glib::RefPtr< Glib::MainContext > main=Glib::MainContext::get_default())
| Create a new telnet socket.

## Protected Member Functions

| telnet (Glib::RefPtr< Glib::MainContext > main)
| Derived classes have their own create function and may call the constructor.

## Detailed Description

Input and output filters for shevek::socket to make them telnet sockets.

## Member Function Documentation

std::string& shevek::telnet::you_there | ( |  | ) |

Return the string that is used in reply to ARE_YOU_THERE requests.

This can also be used to change the reply.

The documentation for this class was generated from the following file:

- src/telnet.hh